<%@ page autoeventwireup="false" inherits="Admin_Subscription, App_Web_l_kbhr2n" language="VB" masterpagefile="~/Admin/MasterPageAdmin.master" title="<%$ Resources:Resource, Admin_Subscription_Title %>" enableEventValidation="false" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="Server">
    <center>
        <asp:Label ID="lblCustomer" CssClass="AdminHead" runat="server" Text="<%$ Resources:Resource, Admin_Subscription_Header %>"></asp:Label><br />
        <asp:Label ID="lblCustomerName" CssClass="AdminSubHead" runat="server" Text="<%$ Resources:Resource, Admin_Subscription_SubHeader %>"></asp:Label><br />
    </center>
    <br />
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <center>
                <asp:Label ID="lblSplit3" runat="server" Text="<%$ Resources:Resource, Admin_Slash%>"></asp:Label>
                <asp:HyperLink ID="lnkHyperSubscription_Unreg" runat="server" NavigateUrl="~/Admin/Subscription_Unreg.aspx"
                    Text="<%$ Resources:Resource, Admin_Subscription_UnRegUsers %>" CssClass="Link"></asp:HyperLink>
                <asp:Label ID="lblSplit2" runat="server" Text="<%$ Resources:Resource, Admin_Slash%>"></asp:Label>
                <asp:HyperLink ID="lnkHyperSubscription_DeactivateReason" runat="server" NavigateUrl="~/Admin/Subscription_DeactivateReason.aspx"
                    Text="<%$ Resources:Resource, Admin_Subscription_DeactiveReason %>" CssClass="Link"></asp:HyperLink>
                <asp:Label ID="lblSplit1" runat="server" Text="<%$ Resources:Resource, Admin_Slash%>"></asp:Label>
            </center>
            <br />
            <center>
                <asp:GridView ID="GridView1" runat="server" DataKeyNames="ID" AutoGenerateColumns="False"
                    DataSourceID="SqlDataSource1" AllowSorting="True" AllowPaging="True" CellPadding="3"
                    CssClass="GridViewStyle" PageSize="20">
                    <Columns>
                        <asp:CommandField ShowEditButton="True" CancelText="<%$ Resources:Resource, Admin_Cancel %>"
                            EditText="<%$ Resources:Resource, Admin_Subscription_ChangeSubscription %>" UpdateText="<%$ Resources:Resource, Admin_Update%>"
                            SelectText="<%$ Resources:Resource, Admin_Subscription_More %>">
                            <ControlStyle CssClass="Link" />
                        </asp:CommandField>
                        <asp:TemplateField SortExpression="ID" HeaderText="<%$ Resources:Resource, Admin_Subscription_Login %>">
                            <ItemTemplate>
                                <asp:LinkButton ID="LinkButton1" runat="server" CssClass="Link" CommandName="SelectID"
                                    CommandArgument='<%# Bind("ID")%>' Text='<%#Eval("Login")%>'></asp:LinkButton>
                            </ItemTemplate>
                            <HeaderStyle ForeColor="Black" />
                        </asp:TemplateField>
                        <asp:BoundField DataField="FirstName" HeaderText="<%$ Resources:Resource,Admin_Subscription_FirstName %>"
                            SortExpression="FirstName" ReadOnly="True">
                            <HeaderStyle ForeColor="Black" />
                        </asp:BoundField>
                        <asp:BoundField DataField="LastName" HeaderText="<%$ Resources:Resource,Admin_Subscription_LastName %>"
                            SortExpression="LastName" ReadOnly="True">
                            <HeaderStyle ForeColor="Black" />
                        </asp:BoundField>
                        <asp:CheckBoxField DataField="Subscribed4News" HeaderText="<%$ Resources:Resource, Admin_Subscription_Subscribed %>"
                            SortExpression="Subscribed4News"> 
                            <ItemStyle HorizontalAlign="Center" />
                            <HeaderStyle ForeColor="Black" HorizontalAlign = "Center" />
                        </asp:CheckBoxField>
                        <asp:TemplateField SortExpression="Email" HeaderText="<%$ Resources:Resource, Admin_Subscription_Email %>">
                            <ItemTemplate>
                                <a href='<%#"mailto:" & Eval("Email")%>' class="Link"><%#Eval("Email")%></a>
                            </ItemTemplate>
                            <HeaderStyle ForeColor="Black" />
                            <ControlStyle CssClass="Link" />
                        </asp:TemplateField>
                        
                        <%--<asp:BoundField DataField="RegistrationDateTime" HeaderText="<%$ Resources:Resource, Admin_Subscription_Date %>"
                            SortExpression="RegistrationDateTime" ReadOnly="True">
                            <HeaderStyle ForeColor="Black" />
                        </asp:BoundField>--%>
                        
                        <asp:TemplateField SortExpression="RegistrationDateTime" HeaderText="<%$ Resources:Resource, Admin_Subscription_Date %>">
                            <ItemTemplate>
                                 <asp:Label ID="lbl" runat="server" Text='<%# Convert.ToDateTime(Eval("RegistrationDateTime")).ToString("yyyy-MM-dd hh:mm:ss")%>'></asp:Label>
                            </ItemTemplate>
                            <HeaderStyle ForeColor="Black" />
                            <ControlStyle CssClass="Link" />
                        </asp:TemplateField>
                        
                    </Columns>
                    <RowStyle CssClass="GridView_RowStyle" />
                    <FooterStyle CssClass="GridView_FooterStyle" Font-Bold="True" />
                    <EditRowStyle CssClass="GridView_EditRowStyle" />
                    <SelectedRowStyle CssClass="GridView_SelectedRowStyle" />
                    <HeaderStyle CssClass="GridView_HeaderStyle" />
                    <AlternatingRowStyle CssClass="GridView_AlternatingRowStyle" />
                    <PagerStyle CssClass="GridView_PagerStyle" HorizontalAlign="Center" ForeColor="Black" />
                </asp:GridView>
            </center>
            <%--<hr />--%>
            <center>
                <asp:Label ID="Message" runat="server" Font-Bold="True" ForeColor="Red" Visible="False"></asp:Label>
            </center>
            <br />
            <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:AdvantConnectionString %>"
                SelectCommand="SELECT [ID], [FirstName], [Login], [LastName], [RegistrationDateTime], [Email], [Subscribed4News] FROM [Customers].[Customer] ORDER BY [RegistrationDateTime] DESC"
                UpdateCommand="UPDATE [Customers].[Customer] SET Subscribed4News = @Subscribed4News WHERE (ID = @ID);">
                <UpdateParameters>
                    <asp:Parameter Name="Subscribed4News" />
                    <asp:Parameter Name="ID" />
                </UpdateParameters>
            </asp:SqlDataSource>
            &nbsp;<br />
        </ContentTemplate>
    </asp:UpdatePanel>
    <br />
    <asp:UpdateProgress ID="UpdateProgress1" runat="server" AssociatedUpdatePanelID="UpdatePanel1">
        <ProgressTemplate>
            &nbsp; &nbsp;
            <asp:Image ID="imgUpdating" runat="server" AlternateText="<%$ Resources:Resource, Admin_Loading %>" ImageUrl="images/loading.gif" />
            <asp:Label ID="lblUpdating" runat="server" Text="<%$ Resources:Resource, Admin_Loading %>"></asp:Label>
        </ProgressTemplate>
    </asp:UpdateProgress>
</asp:Content>
